import website from '@/config/index';

//获取请求url
export const getAppApiUrl = () => {
    let url = '', {testApi, baseApi} = website;
    if (process.env.NODE_ENV === 'development') {
        //#ifdef APP-PLUS
        url = testApi.api;
        //#endif
    } else {
        //#ifdef APP-PLUS
        url = baseApi.api;
        //#endif
    }
    return url
}

//获取表单的url
export const getFormApiUrl = () => {
    let url = '', {testApi, baseApi} = website;
    if (process.env.NODE_ENV === 'development') {
        url = testApi.form;
    } else {
        url = baseApi.form;
    }
    return url
}

//获取长连接的地址
export const getWssApiUrl = () => {
    let url = '', {testApi, baseApi} = website;
    if (process.env.NODE_ENV === 'development') {
        url = testApi.wss;
    } else {
        url = baseApi.wss;
    }
    return url
}
